from django.conf.urls.defaults import *
from news.models import *
from django.conf import settings
from django.contrib.sites.models import Site

urlpatterns = patterns('',
(r'^/?$', 'django.views.generic.list_detail.object_list', {'queryset':News.objects.all().order_by('-id'), 'extra_context': {'domain': str(Site.objects.get_current()).replace('www.', '').replace('http://', '')}, 'paginate_by':5, 'allow_empty':True, 'template_name':'news/news_list.html'}),
(r'^(?P<page>[0-9]+)/', 'django.views.generic.list_detail.object_list', {'queryset':News.objects.all().order_by('-id'), 'extra_context': {'domain': str(Site.objects.get_current()).replace('www.', '').replace('http://', '')}, 'paginate_by':5, 'allow_empty':True, 'template_name':'news/news_list.html'}),
(r'^more/(?P<slug>[\w\-_]+)/', 'news.views.show'),
(r'^categories/', 'news.views.category_list'),
(r'^c/(?P<cid>[0-9]+)/(?P<pagination_id>[0-9]+)/', 'news.views.category_news_list'),
(r'^c/(?P<cid>[0-9]+)/', 'news.views.category_news_list'),
(r'^rss/(?P<cid>[0-9]+)/(?P<no_external>[0-9]+)/', 'news.views.category_news_rss'),
(r'^rss/(?P<cid>[0-9]+)/', 'news.views.category_news_rss'),
)