from django.db import models
from django.contrib.auth.models import User

class Profile(models.Model):
	username = models.ForeignKey(User)
	onsitedata = models.DateTimeField(auto_now = True) # when the user was last seen on the site
	use_messages =  models.BooleanField(blank=True, default=True)
	def __str__(self):
		return str(self.username)